gtkmm: Gtk::ActivateAction Class Reference

gtkmm 4.14.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::ActivateAction Class Reference

A Gtk::ShortcutAction that calls Gtk::Widget::activate(). More...

`#include <gtkmm/shortcutaction.h>`

Inheritance diagram for Gtk::ActivateAction:
[legend]

## Public Member Functions
| ActivateAction (ActivateAction &&src) noexcept
ActivateAction & | operator= (ActivateAction &&src) noexcept
| ~ActivateAction () noexcept override
GtkActivateAction * | gobj ()
| Provides access to the underlying C GObject.
const GtkActivateAction * | gobj () const
| Provides access to the underlying C GObject.
GtkActivateAction * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Public Member Functions inherited from Gtk::ShortcutAction
| ShortcutAction (ShortcutAction &&src) noexcept
ShortcutAction & | operator= (ShortcutAction &&src) noexcept
| ~ShortcutAction () noexcept override
GtkShortcutAction * | gobj ()
| Provides access to the underlying C GObject.
const GtkShortcutAction * | gobj () const
| Provides access to the underlying C GObject.
GtkShortcutAction * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | to_string () const
| Prints the given action into a human-readable string.
bool | activate (Widget &widget, Flags flags=static_cast< Flags >(0), const Glib::VariantBase &args={})
| Activates the action on the widget with the given args.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< ActivateAction > | get ()
| Gets the activate action.
Static Public Member Functions inherited from Gtk::ShortcutAction
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< ShortcutAction > | parse_string (const Glib::ustring &string)
| Tries to parse the given string into an action.

## Protected Member Functions
| ActivateAction ()
Protected Member Functions inherited from Gtk::ShortcutAction
| ShortcutAction ()

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::ActivateAction > | wrap (GtkActivateAction *object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gtk::ShortcutAction
Glib::RefPtr< Gtk::ShortcutAction > | wrap (GtkShortcutAction *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Gtk::ShortcutAction
enum class | Flags { EXCLUSIVE = 1 << 0 }

## Detailed Description

A Gtk::ShortcutAction that calls Gtk::Widget::activate().

## Constructor & Destructor Documentation

## ◆ ActivateAction() [1/2]

Gtk::ActivateAction::ActivateAction | ( | ActivateAction && | src | ) |
| noexcept

## ◆ ~ActivateAction()

Gtk::ActivateAction::~ActivateAction | ( |  | ) |
| overridenoexcept

## ◆ ActivateAction() [2/2]

Gtk::ActivateAction::ActivateAction | ( |  | ) |
| protected

## Member Function Documentation

## ◆ get()

static Glib::RefPtr< ActivateAction > Gtk::ActivateAction::get | ( |  | ) |
| static

Gets the activate action.

This is an action that calls Gtk::Widget::activate() on the given widget upon activation.

Returns
  The activate action.

## ◆ get_type()

static GType Gtk::ActivateAction::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkActivateAction * Gtk::ActivateAction::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkActivateAction * Gtk::ActivateAction::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkActivateAction * Gtk::ActivateAction::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

ActivateAction & Gtk::ActivateAction::operator= | ( | ActivateAction && | src | ) |
| noexcept

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::ActivateAction > wrap | ( | GtkActivateAction * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.